scala.collection

# concurrent

#### package concurrent

Content Hierarchy Learn more about scaladoc diagrams
Visibility

1. Public
2. All

### Type Members

1. #### trait Map [A, B] extends mutable.Map[A, B]

   A template trait for mutable maps that allow concurrent access.

2. #### final class TrieMap [K, V] extends Map[K, V] with mutable.MapLike[K, V, TrieMap[K, V]] with CustomParallelizable[(K, V), ParTrieMap[K, V]] with Serializable

   A concurrent hash-trie or TrieMap is a concurrent thread-safe lock-free implementation of a hash array mapped trie.

### Value Members

1. #### object TrieMap extends MutableMapFactory[TrieMap] with Serializable

### Ungrouped